LOGSAVE(8)

BEZEICHNUNG
logsave - die Ausgabe eines Befehls in einer Protokolldatei speichern

ÜBERSICHT
logsave [ -asv ] Protokolldatei Befehl [ … ]

BESCHREIBUNG
Das Programm logsave führt den Befehl mit den angegebenen Argumenten aus und speichert eine Kopie der Ausgabe in die Protokolldatei. Falls das Verzeichnis für die Protokolldatei nicht existiert, sammelt logsave die Ausgabe im Speicher, bis die Datei geschrieben werden kann. Außerdem wird eine Kopie der Ausgabe in die Standardausgabe gschrieben.

Falls das Programm als einzelnes Minuszeichen (»-«) angegeben wird, dann bezieht logsave seine Eingabe aus der Standardeingabe, anstatt ein Programm auszuführen, und speichert die Ausgabe in der Protokolldatei.

logsave eignet sich zum Speichern der Ausgaben initialer Boot-Skripte, bis die /var-Partition eingehängt ist und die Ausgabe in /var/log geschrieben werden kann.

OPTIONEN

-a  bewirkt, dass die Ausgabe an die Protokolldatei angehängt wird, anstatt deren momentanen Inhalt zu ersetzen.

-s  führt dazu, dass logsave das Schreiben in die Protokolldatei von Text überspringt, der in Strg-A (ASCII 001 oder »Start of Header«) und Strg-B (ASCII 002 oder »Start of Text«) eingeschlossen ist. Dies ermöglicht es, dem Benutzer auf der Konsole Fortschrittsinformationen anzuzeigen, die aber nicht in die Protokolldatei geschrieben werden.

-v  bewirkt, dass die Ausgaben von logsave ausführlicher werden.

AUTOR
Theodore Ts'o (tytso@mit.edu)

SIEHE AUCH
fsck(8)